This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 200071 - GLib-ERROR **: gmem.c:172: failed to allocate 1073741824 bytes
GLib-ERROR **: gmem.c:172: failed to allocate 1073741824 bytes
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-25 06:46 EDT by Need Real Name
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: evolution-2.6.3-1.fc5.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-03 09:40:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
strace from bug buddy (6.90 KB, text/plain)
2006-07-26 07:25 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2006-07-25 06:46:04 EDT
Evolution keeps crashing.

CAMEL_VERBOSE_DEBUG=1 tells me it's trying to allocate a gig of ram:
 GLib-ERROR **: gmem.c:172: failed to allocate 1073741824 bytes
Comment 1 Matthew Barnes 2006-07-25 06:55:47 EDT
This isn't nearly enough information to do anything about.

Please at least provide the version of Evolution you're using, steps to
reproduce, and if possible a backtrace at the point of failure.
Comment 2 Need Real Name 2006-07-25 09:23:18 EDT
I'm trying, but the stack trace is useless, even though I have debuginfo
packages installed.

Next time it happens, I'll post it.
evolution-2.6.2-1.fc5.5
Comment 3 Need Real Name 2006-07-26 07:23:21 EDT
I get a different crash now, let me know if you want a new bug:
 camel-exchange-provider-ERROR **: file camel-stub.c: line 463
(stub_send_internal): should not be reached

The error, and crash, is triggered when I view a particular message with an
attachment.
Comment 4 Need Real Name 2006-07-26 07:25:44 EDT
Created attachment 133065 [details]
strace from bug buddy
Comment 5 Matthew Barnes 2006-07-26 08:28:31 EDT
Can you provide a sample mail message with attachment that reproduces the problem?
Comment 6 Need Real Name 2006-09-01 18:42:40 EDT
Not any more. The problem has disappeared.
btw why do I get two NEEDINFO requests instead of one?
Comment 7 Matthew Barnes 2006-09-03 09:40:21 EDT
Okay, I'll assume whatever problem you were seeing has been fixed and close this
bug.  Feel free to re-open it if you start getting the same crashes again.

Note You need to log in before you can comment on or make changes to this bug.